Draft Facebinder/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(4 intermediate revisions by 2 users not shown)
Line 4: Line 4:
|[[Draft_Point|Point]]
|[[Draft_Point|Point]]
|[[Draft_ShapeString|ShapeString]]
|[[Draft_ShapeString|ShapeString]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Point.svg
|IconL=Draft_Point.svg
|IconR=Draft_ShapeString.svg
|IconR=Draft_ShapeString.svg
Line 14: Line 14:
|Name=Draft Facebinder
|Name=Draft Facebinder
|Name/ru=Draft Facebinder
|Name/ru=Draft Facebinder
|Workbenches=[[Draft Module/ru|Draft]], [[Arch Module/ru|Arch]]
|MenuLocation=Черчение → Граневяз
|MenuLocation=Черчение → Граневяз
|Workbenches=[[Draft_Workbench/ru|Draft]], [[Arch_Workbench/ru|Arch]]
|Shortcut=F F
|Shortcut={{KEY|F}} {{KEY|F}}
}}
}}
</div>
</div>


<span id="Description"></span>
==Описание==
==Описание==


Line 31: Line 32:
{{Caption|Facebinder created from the faces of walls}}
{{Caption|Facebinder created from the faces of walls}}


<span id="Usage"></span>
==Использование==
==Использование==


# Select one or more faces.
# Select one or more faces.
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_Facebinder.svg|16px]] [[Draft_Facebinder|Draft Facebinder]]}} button.
#* Press the {{Button|[[Image:Draft_Facebinder.svg|16px]] [[Draft_Facebinder|Facebinder]]}} button.
#* Select the {{MenuCommand|Drafting → [[Image:Draft_Facebinder.svg|16px]] Facebinder}} option from the menu.
#* Select the {{MenuCommand|Drafting → [[Image:Draft_Facebinder.svg|16px]] Facebinder}} option from the menu.
#* Use the keyboard shortcut: {{KEY|F}} then {{KEY|F}}.
#* Use the keyboard shortcut: {{KEY|F}} then {{KEY|F}}.

==Notes==

* A Draft Facebinder can be edited with the [[Draft_Edit|Draft Edit]] command.


== Properties ==
== Properties ==


See also: [[property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


A Draft Facebinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Draft Facebinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
Line 69: Line 67:
==Scripting==
==Scripting==


See also: [https://www.freecadweb.org/api Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


To create a Draft Facebinder use the {{incode|make_facebinder}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeFacebinder}} method.
To create a Draft Facebinder use the {{incode|make_facebinder}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeFacebinder}} method.
Line 125: Line 123:
|[[Draft_Point|Point]]
|[[Draft_Point|Point]]
|[[Draft_ShapeString|ShapeString]]
|[[Draft_ShapeString|ShapeString]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Point.svg
|IconL=Draft_Point.svg
|IconR=Draft_ShapeString.svg
|IconR=Draft_ShapeString.svg

Latest revision as of 19:32, 7 December 2023

Draft Facebinder

Системное название
Draft Facebinder
Расположение в меню
Черчение → Граневяз
Верстаки
Draft, Arch
Быстрые клавиши
F F
Представлено в версии
-
См. также
Нет

Описание

Facebinder - очень простой объект, построенный из выбранных лиц других объектов. Он параметрический, вы можете соответствующим образом изменить исходный объект и объекты объекта facebinder. Затем его можно использовать, например, для изготовления экструзии из коллекции лиц из других объектов. Типичное использование в архитектурном дизайне, построение объекта, который покрывает несколько кусков стен. Вы можете перемещать и поворачивать facebinder вокруг после его создания, все будет оставаться связанным с оригинальными лицами.

It can be used to create an extrusion from a collection of faces. This extrusion can for example represent a wall finish in architectural design.

Facebinder created from the faces of walls

Использование

  1. Select one or more faces.
  2. There are several ways to invoke the command:
    • Press the Facebinder button.
    • Select the Drafting → Facebinder option from the menu.
    • Use the keyboard shortcut: F then F.

Properties

See also: Property editor.

A Draft Facebinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Draft

  • ДанныеArea (Area): (read-only) specifies the total area of the linked faces of the facebinder.
  • ДанныеExtrusion (Distance): specifies the extrusion thickness of the facebinder.
  • ДанныеFaces (LinkSubList): specifies the linked faces of the facebinder.
  • ДанныеOffset (Distance): specifies an offset distance to apply between the facebinder and the original faces, prior to extrusion.
  • ДанныеRemove Splitter (Bool): Specifies whether to remove splitter lines that divide co-planar faces of the facebinder.
  • ДанныеSew (Bool): Specifies whether to perform a topological sewing operation on the facebinder.

View

Draft

  • ВидPattern (Enumeration): specifies the Draft Pattern with which to fill the faces of the facebinder. This property only works if ВидDisplay Mode is Flat Lines.
  • ВидPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Facebinder use the make_facebinder method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeFacebinder method.

facebinder = make_facebinder(selectionset)
  • Creates a facebinder object from the given selectionset, which is a list of SelectionObjects as returned by FreeCADGui.Selection.getSelectionEx(). Only selected faces are taken into account.
    • selectionset can also be a PropertyLinkSubList.

A PropertyLinkSubList is a list of tuples; each tuple contains as first element an object, and as second element a list (or tuple) of strings; these strings indicate the names of the sub-elements (faces) of that object.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

The thickness of the Facebinder can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the Facebinder can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Example:

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

# Insert a solid box
box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 800
box.Height = 1000

# selection = Gui.Selection.getSelectionEx()
selection = [(box, ("Face1", "Face6"))]
facebinder = Draft.make_facebinder(selection)
facebinder.Extrusion = 50

doc.recompute()

facebinder.Placement.Base = App.Vector(1000, -1000, 100)
facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)

doc.recompute()